Use adam
Go
If Object_Id('dbo.vw_fco_autorizaciones_det') Is Not Null
    Drop View dbo.vw_fco_autorizaciones_det
Go
Create View dbo.vw_fco_autorizaciones_det
As
Select 
    compania = Case compania When 'TSEN' Then 'DETE' Else compania End, 
    autorizacion, trabajador, valor
From fco_autorizaciones_det
Go
Grant Select On dbo.vw_fco_autorizaciones_det To Public
Go
Use adamgrac
Go
If Object_Id('dbo.vw_fco_autorizaciones_det') Is Not Null
    Drop View dbo.vw_fco_autorizaciones_det
Go
Create View dbo.vw_fco_autorizaciones_det
As
Select 
    compania = Case compania When 'TSEN' Then 'GRAC' Else compania End, 
    autorizacion, trabajador, valor
From fco_autorizaciones_det
Go
Grant Select On dbo.vw_fco_autorizaciones_det To Public
Go
Use adamgrasco
Go
If Object_Id('dbo.vw_fco_autorizaciones_det') Is Not Null
    Drop View dbo.vw_fco_autorizaciones_det
Go
Create View dbo.vw_fco_autorizaciones_det
As
Select 
    compania = Case compania When 'TSEN' Then 'GRAS' Else compania End, 
    autorizacion, trabajador, valor
From fco_autorizaciones_det
Go
Grant Select On dbo.vw_fco_autorizaciones_det To Public
Go
